#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-manager
Version:	4.1.6
Release:	1%{dist}
Summary:	Qubes UI Applications

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  python3-devel
BuildRequires:  gettext

Requires:  python3-setuptools
Requires:  python3-gbulb
Requires:  libappindicator-gtk3
Requires:  python3-systemd
Requires:  gtk3
Requires:  python3-qubesadmin >= 4.1.8
Requires:  qubes-mgmt-salt-dom0-update >= 4.0.5
Requires:  qubes-artwork >= 4.1.5

Provides:   qui = %{version}-%{release}
Obsoletes:  qui < 4.0.0


%description
A collection of GUI application for enhancing the Qubes UX.

%prep
%setup

%build
%py3_build

%install
%py3_install
mkdir -p $RPM_BUILD_ROOT/etc/xdg/autostart
cp autostart/qui-domains.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
cp autostart/qui-devices.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
cp autostart/qui-clipboard.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
cp autostart/qui-disk-space.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
cp autostart/qui-updates.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/Adwaita/22x22/devices/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/Adwaita/22x22/status/
cp icons/22x22/generic-usb.png $RPM_BUILD_ROOT/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
cp icons/outdated.png $RPM_BUILD_ROOT/usr/share/icons/Adwaita/22x22/status/
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp qubes-update-gui.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qui/widget-wrapper $RPM_BUILD_ROOT/usr/bin/widget-wrapper
mkdir -p $RPM_BUILD_ROOT/lib/systemd/user/
cp linux-systemd/qubes-widget@.service $RPM_BUILD_ROOT/lib/systemd/user/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/24x24/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/40x40/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/72x72/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/96x96/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/
cp icons/16x16/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/qui-domains.png
cp icons/24x24/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/24x24/apps/qui-domains.png
cp icons/32x32/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/qui-domains.png
cp icons/40x40/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/40x40/apps/qui-domains.png
cp icons/48x48/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/qui-domains.png
cp icons/72x72/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/72x72/apps/qui-domains.png
cp icons/96x96/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/96x96/apps/qui-domains.png
cp icons/128x128/qui-domains.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/qui-domains.png

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qui-*.egg-info
%{python3_sitelib}/qui-*.egg-info/*


%dir %{python3_sitelib}/qui
%dir %{python3_sitelib}/qui/__pycache__
%{python3_sitelib}/qui/__pycache__/*
%{python3_sitelib}/qui/__init__.py
%{python3_sitelib}/qui/decorators.py
%{python3_sitelib}/qui/clipboard.py
%{python3_sitelib}/qui/updater.py
%{python3_sitelib}/qui/updater.glade

%dir %{python3_sitelib}/qui/tray/
%dir %{python3_sitelib}/qui/tray/__pycache__
%{python3_sitelib}/qui/tray/__pycache__/*
%{python3_sitelib}/qui/tray/__init__.py
%{python3_sitelib}/qui/tray/domains.py
%{python3_sitelib}/qui/tray/devices.py
%{python3_sitelib}/qui/tray/disk_space.py
%{python3_sitelib}/qui/tray/updates.py

%{_bindir}/qui-domains
%{_bindir}/qui-devices
%{_bindir}/qui-disk-space
%{_bindir}/qui-updates
%{_bindir}/qui-clipboard
%{_bindir}/qubes-update-gui
/etc/xdg/autostart/qui-domains.desktop
/etc/xdg/autostart/qui-devices.desktop
/etc/xdg/autostart/qui-clipboard.desktop
/etc/xdg/autostart/qui-disk-space.desktop
/etc/xdg/autostart/qui-updates.desktop
/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
/usr/share/icons/Adwaita/22x22/status/outdated.png
/usr/share/applications/qubes-update-gui.desktop
/usr/bin/widget-wrapper
/lib/systemd/user/qubes-widget@.service
/usr/locales/en/LC_MESSAGES/desktop-linux-manager.mo
/usr/locales/pl/LC_MESSAGES/desktop-linux-manager.mo

/usr/share/icons/hicolor/16x16/apps/qui-domains.png
/usr/share/icons/hicolor/24x24/apps/qui-domains.png
/usr/share/icons/hicolor/32x32/apps/qui-domains.png
/usr/share/icons/hicolor/40x40/apps/qui-domains.png
/usr/share/icons/hicolor/48x48/apps/qui-domains.png
/usr/share/icons/hicolor/72x72/apps/qui-domains.png
/usr/share/icons/hicolor/96x96/apps/qui-domains.png
/usr/share/icons/hicolor/128x128/apps/qui-domains.png

%changelog
* Fri Aug 14 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-manager.git

* Fri Aug 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cbeb0a5
- version 4.1.6

* Fri Aug 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d76ea46
- Update python3-qubesadmin dependency

* Thu Aug 13 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c695dce
- Added more resilience to missing permissions

* Thu Aug 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d6b31ce
- Update travis

* Tue Aug 11 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d5eb658
- Renamed Pause to Emergency pause for clearer communication

* Wed Aug 05 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 508dda0
- Updated qui-domains icon to new iconography

* Fri Jul 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e868e58
- version 4.1.5

* Wed Jun 17 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 49890ae
- Make qui-device headers non-clickable

* Sun Jun 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c9aae82
- version 4.1.4

* Sun Jun 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 035db76
- rpm: require qubes-artwork >= 4.1.5 for new qute qube icons

* Fri Jun 05 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b3a69a1
- Added safeguards for inaccessible vm icon

* Wed Jun 03 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 4b0af35
- Added notifications and information about VM volumes being full

* Mon Jun 01 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b237d96
- Added file manager icon to icon cache in qui-domains

* Tue May 26 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c384045
- Fixed on_label_changed event in qui-devices

* Mon May 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e55e92f
- version 4.1.3

* Fri May 15 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 67a1e76
- Added 'Open file manager' position to qui-domains widget

* Fri May 15 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6f6b04a
- Added safeguards in case qui-devices desynchronized

* Mon Apr 13 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1c67717
- Error messages from device widget will not be overwritted with normal messages

* Thu Mar 26 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 304da74
- Added Updater warning heuristics for potential R3.2 templates

* Wed Mar 11 2020 M. Vefa Bicakci <m.v.b@runbox.com> - 3f080ae
- qui-domains: Do not erroneously report VMs as outdated

* Wed Jan 29 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7525342
- Added device size to block devices in qui-devices

* Tue Jan 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 0881e2b
- Added device group headers to qui-devices

* Mon Dec 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 89cfc06
- Added transifex support

* Sat Nov 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a3251fc
- version 4.1.2

* Tue Nov 26 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 61c0c21
- Device notifications will no longer multiply beyond reason

* Sun Nov 17 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 73f97a7
- Added fallback for missing translations

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e4a562
- version 4.1.1

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a50d8e7
- Add BR: gettext

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aaf89af
- version 4.1.0

* Fri Nov 08 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f3b770d
- Added translation support to all qui-widgets and other GUI apps

* Tue Oct 29 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - d677957
- Fix stuck update indicator after qube deleted

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 97014ab
- version 4.0.23

* Wed Oct 23 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2d6f157
- Fix rare error in qui-domains

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2e144dd
- travis: switch to bionic

* Tue Oct 08 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - ce010e4
- Added handling for domain-shutdown-failed event

* Tue Oct 08 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1a33431
- Fix for new pylint version

* Tue Oct 08 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - e51d6ec
- Updated deprecated menu display methods

* Mon Sep 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ba1656a
- version 4.0.22

* Fri Sep 20 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a0ff98b
- Fixed handling of DispVMs in qui-domains widgets

* Thu Sep 19 2019 Saswat Padhi <saswat.sourav@gmail.com> - 27b7ca4
- fixed `line-too-long` warning

* Sat Sep 14 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e89f5e6
- travis: switch to xenial, exclude irrelevant builds

* Wed Sep 11 2019 Saswat Padhi <saswat.sourav@gmail.com> - 23019f8
- Display 0% CPU usage, but with low-contrast color

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aad1371
- version 4.0.21

* Wed Aug 14 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - cc1f365
- Modified 'VM is halting' message to be more true

* Thu Aug 08 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c17bfd4
- Added metadata info for Disk Space widget

* Mon Jul 29 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7811b89
- Fixed error with 'outdated' icon

* Fri Jul 19 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 69155c7
- Assorted fixes and rebase

* Fri Jul 19 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 307dde0
- More fixes for qui-domains

* Fri Jul 19 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 00c7bc5
- Rewritten qui-domains to be more responsive and less error-prone

* Fri Jul 19 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3f263fc
- Qui-domains now displays information about Vm errors

